
var Acciones = {

    // -------------------------------------------------------------------------
    borrarArtic: function(obj, ts, btnover) {

        if(!confirm('¿Está seguro que desea eliminar este artículo?')) {
            return false;
        }

        var parent;
        if (typeof btnover != 'undefined') {
            parent = $(obj).parent().parent().parent().parent();
            $(parent).addClass('nohover');
            $(parent).find('.status').hide();
            $(parent).find('.autoinc').hide();
            $(parent).find('.botones').show();
        }

        $(obj).hide().next().show();
        var opts = {
            _prontus_id: Listartic.prontus_id,
            _ts: ts
        };

        setTimeout(function() {

            $.ajax({
                url: Listartic.urlBorrar,
                data: opts,
                dataType: 'json',
                cache: false,
                complete: function() {
                    $(obj).next().hide().prev().show();
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    SubmitForm.handleError(Listartic.urlBorrar, XMLHttpRequest, textStatus, errorThrown);
                },
                success: function(resp, textStatus) {
                    if (typeof resp === 'undefined' || resp === null) {
                        Admin.displayMessage('Se produjo un error al borrar el artículo', 'error');
                    } else if (resp.status == 1) {
                        //Admin.displayMessage('Artículo eliminado');
                        $(obj).parents('.fila1').parent().fadeOut('slow');
                    } else {
                        //Admin.displayMessage(resp.msg, 'error');
                        showModalAlert({
                            title: 'Error',
                            type: 'red',
                            msg: resp.msg+' '// Para corregir caracter extraño en chrome
                        });
                        if (typeof btnover != 'undefined') {
                            $(parent).removeClass('nohover');
                            $(parent).find('.status').show();
                            $(parent).find('.autoinc').show();
                            $(parent).find('.botones').hide();
                        }
                    }
                }
            });

        }, 1000);
    }

};
