#!/usr/bin/perl

# Prontus CMS
# http://www.prontus.cl
# by Altavoz.net
#
# licensed under LGPL license.
# http://www.prontus.cl/license.html
# ---------------------------------------------------------------

package prontus_dintax;

use strict;
# Toma variables definidas en apache_startup.pl
our $ROOTDIR   = $My::documentRoot;
# Handler.

sub handler {
    my $r = shift;
    my $uri = $r->uri();
    my $cmd;
    # print STDERR "uri[$uri]\n";

    # Si el patron del uri corresponde a una portada tax, y el archivo no existe,
    # entonces ejecuta su generacion.
    if ($uri =~ /\/site\/tax\/port\/.*$/) {
        if (! -f "$ROOTDIR$uri") {
            $cmd = "/usr/bin/perl $ROOTDIR/cgi-bin/prontus_make_taxport.cgi $uri";

            # print STDERR "cmd[$cmd]\n";
            system $cmd;
        }
    }

    # print STDERR "redirect -> [$uri]\n";

    if (-f "$ROOTDIR$uri") {
        $r->internal_redirect($uri);

        return Apache2::Const::OK;
    } else {
        return Apache2::Const::NOT_FOUND;
    }
    # return Apache2::Const::DECLINED;
}

1;
